Bug 243127 - New port: net/msoak multi-MQTT broker subscriber
Summary: New port: net/msoak multi-MQTT broker subscriber
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-06 12:47 UTC by Jan-Piet Mens
Modified: 2022-08-16 07:23 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
port files (2.40 KB, text/plain)
2020-01-06 12:47 UTC, Jan-Piet Mens
no flags Details
after being looked at by user (2.37 KB, text/plain)
2020-01-13 09:56 UTC, Jan-Piet Mens
no flags Details
ready for review (2.37 KB, text/plain)
2020-01-13 10:15 UTC, Jan-Piet Mens
no flags Details
Revised patch (2.09 KB, patch)
2022-07-12 21:11 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Piet Mens 2020-01-06 12:47:06 UTC
Created attachment 210478 [details]
port files

Subscribe to different MQTT brokers and topics simultaneously
Comment 1 Jan-Piet Mens 2020-01-13 09:56:04 UTC
Created attachment 210684 [details]
after being looked at by user

Removed GH_TAGNAME, and set USES = (instead of +=)
Comment 2 Jan-Piet Mens 2020-01-13 10:15:45 UTC
Created attachment 210685 [details]
ready for review

moved strip to postinstall. Handbook says INSTALL_PROGRAM strips binaries, but I don't see -s being applied to install(1) ...
Comment 3 Ben Woods freebsd_committer 2020-01-15 22:08:43 UTC
I’ll have a look at this for you :)
Comment 4 Ben Woods freebsd_committer 2020-09-02 11:44:52 UTC
Sorry Jan-Piet - I never got around to this, and likely blocked progress by accidentally holding onto it with my name as assignee.
Putting it back to the pool for another committer to look at if they have time.
Comment 5 Daniel Engberg freebsd_committer 2022-07-11 23:12:17 UTC
Hi Jan-Piet,

Sorry for the delay, are you still interesting in getting this committed?

Best regards,
Daniel
Comment 6 Jan-Piet Mens 2022-07-12 06:31:55 UTC
I am, Daniel, yes.
Comment 7 Daniel Engberg freebsd_committer 2022-07-12 21:11:51 UTC
Created attachment 235224 [details]
Revised patch

This is a bit cleaner although I would very much like you to use CMake or Meson as it would make things a lot nicer on all platforms

Poudriere testport OK 12.3-RELEASE (amd64)
Poudriere testport OK 13.0-RELEASE (i386)
Comment 8 Daniel Engberg freebsd_committer 2022-08-07 23:14:14 UTC
Friendly ping
Comment 9 Jan-Piet Mens 2022-08-08 05:52:12 UTC
Friendly pong. :-)
Thanks for your revised patch.
Am I expected to do something?
Comment 10 Daniel Engberg freebsd_committer 2022-08-08 17:37:51 UTC
Set maintainer-approval to + if you're fine with it
Comment 11 commit-hook freebsd_committer 2022-08-15 20:28:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=261ad60e13b346e4c996f0089f4d90a0b22d9550

commit 261ad60e13b346e4c996f0089f4d90a0b22d9550
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2022-08-15 20:11:21 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2022-08-15 20:22:45 +0000

    net/msoak: New port

    Subscribe to different MQTT brokers and topics simultaneously, and
    soak up what they have to offer.

    WWW: https://github.com/jpmens/msoak

    PR:             243127
    Reviewed by:    Jan-Piet Mens  <ports@jpmens.net> (maintainer)

 net/Makefile              |  1 +
 net/msoak/Makefile (new)  | 28 ++++++++++++++++++++++++++++
 net/msoak/distinfo (new)  |  3 +++
 net/msoak/pkg-descr (new) | 10 ++++++++++
 net/msoak/pkg-plist (new) |  4 ++++
 5 files changed, 46 insertions(+)
Comment 12 Daniel Engberg freebsd_committer 2022-08-15 20:28:58 UTC
Committed, sorry for the wait
Comment 13 Jan-Piet Mens 2022-08-16 07:23:58 UTC
thanks, Daniel.